package com.kmall.admin.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 计量单位代码实体
 * 表名 sys_cus_unit_code
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-11-10 15:34:36
 */
public class SysCusUnitCodeEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 内部编号
     */
    private String sn;
    /**
     * 代码
     */
    private String code;
    /**
     * 名称
     */
    private String name;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：内部编号
     */
    public void setSn(String sn) {
        this.sn = sn;
    }

    /**
     * 获取：内部编号
     */
    public String getSn() {
        return sn;
    }
    /**
     * 设置：代码
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取：代码
     */
    public String getCode() {
        return code;
    }
    /**
     * 设置：名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取：名称
     */
    public String getName() {
        return name;
    }
    /**
     * 设置：备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 获取：备注
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
